classification
Title: Backport #22585 -- getentropy for urandom to Python 2.7
Type: Stage: resolved
Components: Library (Lib) Versions: Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: alex, benjamin.peterson, dstufft, python-dev
Priority: normal Keywords: needs review, patch

Created on 2014-12-26 16:21 by alex, last changed 2015-03-30 09:23 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
issue23115.diff alex, 2014-12-26 16:21
Messages (5)
msg233105 - (view) Author: Alex Gaynor (alex) * (Python committer) Date: 2014-12-26 16:21
This makes the urandom codebase easier to maintain by allowing porting patches between 2.7 and 3.x easier; it also improves support for the OpenBSD platform.

Support for porting patches is not just a theoretical concern, it's likely that Linux's getrandom() will be supported at some point; like getentropy() it's useful because it's less error prone, and works in chroots and other environments that don't explicitly set up the /dev/urandom device.
msg233108 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-12-26 17:09
New changeset 9cd2641765dc by Benjamin Peterson in branch '2.7':
use getentropy when available (backport of 75ede5bec8db) (closes #23115)
https://hg.python.org/cpython/rev/9cd2641765dc
msg236088 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-02-16 06:06
New changeset a1391786abcd by Serhiy Storchaka in branch '2.7':
Issue #23115: Fixed compilation on OpenBSD (Py_MIN is not defined in 2.7).
https://hg.python.org/cpython/rev/a1391786abcd
msg238282 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-03-17 11:36
New changeset 961efafe9497 by Ned Deily in branch '2.7':
Issue #22585, #23115: make URandomFDTests test case actually run
https://hg.python.org/cpython/rev/961efafe9497
msg239587 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-03-30 09:23
New changeset 05b96af72805 by Victor Stinner in branch '2.7':
Issue #23115: os.urandom() now releases the GIL when the getentropy() is used
https://hg.python.org/cpython/rev/05b96af72805
History
Date User Action Args
2015-03-30 09:23:03python-devsetmessages: + msg239587
2015-03-17 11:36:37python-devsetmessages: + msg238282
2015-02-16 06:06:28python-devsetmessages: + msg236088
2014-12-26 17:09:12python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg233108

resolution: fixed
stage: resolved
2014-12-26 16:21:39alexsetfiles: + issue23115.diff
2014-12-26 16:21:13alexcreate